import request from '@/utils/request';

/**
 * 分页查询生产版本
 */
export async function versionPage(params) {
  const res = await request.get(`/main/produceversion/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 班组列表
 */
export async function teamPage(params) {
  const res = await request.get(`/main/team/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
